# Interface LineDto

Data transfer object for markup lines, this represents the line data that will be saved to the layer.

interface LineDto {
color: RgbaDTO;
id: string;
linePoints: Vertex3[];
properties: { [key: string]: string | number | boolean };
thickness: number;
type: Line;
}

#### Hierarchy (View Summary)

- EntityBaseDto
  - LineDto

##### Index

### Properties

color
id
linePoints
properties
thickness
type

## Properties

### color

color: RgbaDTO

### id

id: string

Inherited from EntityBaseDto.id

### linePoints

linePoints: Vertex3[]

### properties

properties: { [key: string]: string | number | boolean }

Inherited from EntityBaseDto.properties

### thickness

thickness: number

### type

type: Line